
Redmine - Defect #11987

pdf: Broken new line in table

2012-09-28 14:22 - Olivier Pinette

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version: 2.2.3   

Resolution: Fixed Affected version: 2.1.0

Description

Advanced tables format, with merged of several cells, produce mix cells value in the exported PDF.

To reproduce please consider the flowing sample table, fill in a wiki page, then export to PDF (my export is attached)

|_.UserID     |_.Name|_.Group|_. attribute list  |

|Starting with| a    |   simple|row |

|\3=.IT               |<. align left|

|1|Artur Pirozhkov |/2.Users |>. align right|

|2|Vasya Rogov        |=. center |

|3|John Smith |Admin

               (root)|^. valign top |

|4|-          |Nobody

               (anonymous)|~. valign bottom|

About your application's environment

Ruby version              1.9.3 (x86_64-linux)

RubyGems version          1.8.24

Rack version              1.4

Rails version             3.2.8

Active Record version     3.2.8

Action Pack version       3.2.8

Active Resource version   3.2.8

Action Mailer version     3.2.8

Active Support version    3.2.8

Middleware                Rack::Cache, ActionDispatch::Static, Rack::Lock,

#<ActiveSupport::Cache::Strategy::LocalCache::Middleware:0x000000011f56e8>, Rack::Runtime, Rack::MethodOverride,

ActionDispatch::RequestId, Rails::Rack::Logger, ActionDispatch::ShowExceptions, ActionDispatch::DebugExceptions,

ActionDispatch::RemoteIp, ActionDispatch::Callbacks, ActiveRecord::ConnectionAdapters::ConnectionManagement,

ActiveRecord::QueryCache, ActionDispatch::Cookies, ActionDispatch::Session::CookieStore, ActionDispatch::Flash,

RedmineDmsf::NoParse, ActionDispatch::ParamsParser, ActionDispatch::Head, Rack::ConditionalGet, Rack::ETag,

ActionDispatch::BestStandardsSupport, OpenIdAuthentication

Application root          /var/www/redmine-2.1.0

Environment               production

Database adapter          mysql2

Database schema version   20120731164049 *

Associated revisions

Revision 11306 - 2013-02-03 06:44 - Toshi MARUYAMA

pdf: fix broken new line in table (#11987)

Contributed by Jun NAITOH.

Revision 11308 - 2013-02-03 07:53 - Toshi MARUYAMA

Merged r11306 from trunk to 2.2-stable (#11987)

pdf: fix broken new line in table.
Contributed by Jun NAITOH.

History

#1 - 2013-01-30 15:25 - Jun NAITOH

- File tcpdf.rb_table_with_br_fix_r11288.diff added

- File table_with_br_fix.png added

I corrected the br tag inside table.

I finished tests on following environments.

CentOS 6 CRuby 1.8.7, 1.9.3

#2 - 2013-01-31 10:24 - Olivier Pinette

- Status changed from New to Resolved

I just apply your change and confirm it fix my issue.

Cheers

Hope it could be a candidate for a future build.

Thank you.

#3 - 2013-02-03 06:27 - Toshi MARUYAMA

- Target version set to 2.2.3

#4 - 2013-02-03 06:29 - Toshi MARUYAMA

- Subject changed from PDF export mix cells to pdf: Broken new line in table

#5 - 2013-02-03 09:04 - Toshi MARUYAMA

- Status changed from Resolved to Closed

- Resolution set to Fixed

Committed in trunk r11306 and 2.2-stable r11308, thanks.

Files

Test.pdf 310 KB 2012-09-28 Olivier Pinette

tcpdf.rb_table_with_br_fix_r11288.diff 414 Bytes 2013-01-30 Jun NAITOH

table_with_br_fix.png 39.7 KB 2013-01-30 Jun NAITOH
https://www.redmine.org/projects/redmine/repository/svn/revisions/11308
http://www.tcpdf.org

